﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication3
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();

            radioButton1.Tag = FormBorderStyle.Sizable;

            rbInfo.Tag = MessageBoxIcon.Information;
            rbQuestion.Tag = MessageBoxIcon.Question;
            rbWarning.Tag = MessageBoxIcon.Warning;
            rbError.Tag = MessageBoxIcon.Error;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
            {
                FormBorderStyle = FormBorderStyle.Sizable;
            }
        }

        private void btnShowNonModalDialog_Click(object sender, EventArgs e)
        {
            DialogForm dlg = new DialogForm();
            dlg.Show();

            MessageBox.Show("Non modal dialog was created");
        }

        private void btnModal_Click(object sender, EventArgs e)
        {
            DialogForm dlg = new DialogForm();
            DialogResult result = dlg.ShowDialog();

            MessageBox.Show(result.ToString());

            // MessageBox.Show("Modal dialog was created");
        }

        private void btnShowMessageBoxDemo_Click(object sender, EventArgs e)
        {
            DialogResult result = MessageBox.Show("Hello students. Are you the best?",
                "Hello",
                MessageBoxButtons.YesNo,
                MessageBoxIcon.Question,
                MessageBoxDefaultButton.Button2);

            MessageBox.Show(result.ToString());
        }

        private void btnSetTitle_Click(object sender, EventArgs e)
        {
            DialogForm frm = new DialogForm();
            frm.MainFormTitle = this.Text;
            if (frm.ShowDialog() == DialogResult.OK)
            {
                this.Text = frm.MainFormTitle;
            }
        }

        private void btnShowMessageBox_Click(object sender, EventArgs e)
        {
            MessageBoxButtons selectedOption;
            if (rbOk.Checked)
            {
                selectedOption = MessageBoxButtons.OK;
            }
            else if (rbOkCancel.Checked)
            {
                selectedOption = MessageBoxButtons.OKCancel;
            }
            else if (rbYesNo.Checked)
            {
                selectedOption = MessageBoxButtons.YesNo;
            }
            else if (rbYesNoCancel.Checked)
            {
                selectedOption = MessageBoxButtons.YesNoCancel;
            }
            else
            {
                throw new InvalidOperationException("Nothing was selected");
            }

            RadioButton iconRb = boxIcons.Controls
                .OfType<RadioButton>()
                .First(t => t.Checked);

            RadioButton iconRb2;
            foreach (Control control in boxIcons.Controls)
            {
                if (control is RadioButton)
                {
                    RadioButton rb = (RadioButton)control;
                    if (rb.Checked)
                    {
                        iconRb2 = rb;
                        break;
                    }
                }
            }

            MessageBoxIcon icon = (MessageBoxIcon)iconRb.Tag;

            MessageBox.Show(txtMessage.Text,
                txtCaption.Text, selectedOption, icon);
        }
    }
}
